Bug 44750 - App Setting: Run configure script
App Setting: Run configure script
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.2
Other All
: P5 normal (vote)
: UCS 4.2-0-errata
Assigned To: Felix Botner
Dirk Wiesenthal
:
Depends on: 44755 43816 43838
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 13:03 CEST by Felix Botner
Modified: 2017-06-15 17:58 CEST (History)
3 users (show)

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted (downgraded) after PO Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2017-06-08 13:03:14 CEST
+++ This bug was initially created as a clone of Bug #43838 +++

After setting are applied, a Script should be run.

myapp.configure

Default is No Script, i.e. no execution, even for appbox.

No arguments except
  --app myapp --app-version 1.0 --error-file /tmp/XXX

The script shall apply settings saved earlier. By parsing base.conf manually.

Thus, settings have to be stored independently from configure.

Exiting with an error shall not abort the App Center.

+++ This bug was initially created as a clone of Bug #43816 +++

Goal is to allow Apps to specify custom setting that are then applied inside the container / on the host.

Specification is done via a new file: myapp.settings with is dritten in ini format:

[my/setting]
...
[my/second/setting]
...
Comment 1 Felix Botner univentionstaff 2017-06-08 14:19:07 CEST
merged to 4.2 (univention-appcenter, ucs-test)

univention-appcenter.yaml
Comment 2 Dirk Wiesenthal univentionstaff 2017-06-14 11:16:12 CEST
OK, works. There were some tweaks in the patch of Bug#43816, but it is already useful.
Comment 3 Janek Walkenhorst univentionstaff 2017-06-15 17:58:25 CEST
<http://errata.software-univention.de/ucs/4.2/38.html>